> For the complete documentation index, see [llms.txt](https://docs.hotwax.co/documents/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hotwax.co/documents/integrate-with-hotwax/components/fulfillment/external-inventory-resets.md).

# External Inventory Resets

externalInventoryResets

## GET /externalInventoryResets

> list ExternalInventoryReset

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"externalInventoryResets","description":"externalInventoryResets"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.product.inventory.ExternalInventoryReset":{"title":"External Inventory Reset","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.inventory.ExternalInventoryReset"},"resetItemId":{"type":"string"},"resetDataResourceId":{"type":"string"},"facilityId":{"type":"string"},"productId":{"type":"string"},"externalFacilityId":{"type":"string"},"productIdentType":{"type":"string"},"productIdentValue":{"type":"string"},"inventoryItemId":{"type":"string"},"inventoryItemATP":{"type":"number"},"inventoryItemQOH":{"type":"number"},"externalATP":{"type":"number"},"externalQOH":{"type":"number"},"availableToPromiseDiff":{"type":"number"},"quantityOnHandDiff":{"type":"number"},"unitCost":{"type":"number"},"sourceSystemMessageRemoteId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/externalInventoryResets":{"get":{"tags":["externalInventoryResets"],"summary":"list ExternalInventoryReset","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"resetItemId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"resetDataResourceId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"facilityId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"externalFacilityId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productIdentType","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productIdentValue","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"inventoryItemId","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"inventoryItemATP","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"inventoryItemQOH","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"externalATP","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"externalQOH","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"availableToPromiseDiff","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantityOnHandDiff","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"unitCost","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"sourceSystemMessageRemoteId","in":"query","required":false,"description":"Source SystemMessageRemote that produced this reset (e.g. the Shopify shop remote whose inventory was imported); lets outbound sync skip echoing the reset delta back to its source."},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.product.inventory.ExternalInventoryReset"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /externalInventoryResets

> create ExternalInventoryReset

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"externalInventoryResets","description":"externalInventoryResets"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.product.inventory.ExternalInventoryReset.PK":{"title":"External Inventory Reset","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.inventory.ExternalInventoryReset.PK"},"resetItemId":{"type":"string"}}},"org.apache.ofbiz.product.inventory.ExternalInventoryReset":{"title":"External Inventory Reset","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.inventory.ExternalInventoryReset"},"resetItemId":{"type":"string"},"resetDataResourceId":{"type":"string"},"facilityId":{"type":"string"},"productId":{"type":"string"},"externalFacilityId":{"type":"string"},"productIdentType":{"type":"string"},"productIdentValue":{"type":"string"},"inventoryItemId":{"type":"string"},"inventoryItemATP":{"type":"number"},"inventoryItemQOH":{"type":"number"},"externalATP":{"type":"number"},"externalQOH":{"type":"number"},"availableToPromiseDiff":{"type":"number"},"quantityOnHandDiff":{"type":"number"},"unitCost":{"type":"number"},"sourceSystemMessageRemoteId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/externalInventoryResets":{"post":{"tags":["externalInventoryResets"],"summary":"create ExternalInventoryReset","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.product.inventory.ExternalInventoryReset.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.product.inventory.ExternalInventoryReset"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.product.inventory.ExternalInventoryReset"}}},"required":false}}}}}
```

## GET /externalInventoryResets/{resetItemId}

> one ExternalInventoryReset

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"externalInventoryResets","description":"externalInventoryResets"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.product.inventory.ExternalInventoryReset":{"title":"External Inventory Reset","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.inventory.ExternalInventoryReset"},"resetItemId":{"type":"string"},"resetDataResourceId":{"type":"string"},"facilityId":{"type":"string"},"productId":{"type":"string"},"externalFacilityId":{"type":"string"},"productIdentType":{"type":"string"},"productIdentValue":{"type":"string"},"inventoryItemId":{"type":"string"},"inventoryItemATP":{"type":"number"},"inventoryItemQOH":{"type":"number"},"externalATP":{"type":"number"},"externalQOH":{"type":"number"},"availableToPromiseDiff":{"type":"number"},"quantityOnHandDiff":{"type":"number"},"unitCost":{"type":"number"},"sourceSystemMessageRemoteId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/externalInventoryResets/{resetItemId}":{"get":{"tags":["externalInventoryResets"],"summary":"one ExternalInventoryReset","description":null,"parameters":[{"schema":{"type":"string"},"name":"resetItemId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.product.inventory.ExternalInventoryReset"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## PUT /externalInventoryResets/{resetItemId}

> store ExternalInventoryReset

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"externalInventoryResets","description":"externalInventoryResets"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.product.inventory.ExternalInventoryReset.PK":{"title":"External Inventory Reset","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.inventory.ExternalInventoryReset.PK"},"resetItemId":{"type":"string"}}},"org.apache.ofbiz.product.inventory.ExternalInventoryReset":{"title":"External Inventory Reset","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.inventory.ExternalInventoryReset"},"resetItemId":{"type":"string"},"resetDataResourceId":{"type":"string"},"facilityId":{"type":"string"},"productId":{"type":"string"},"externalFacilityId":{"type":"string"},"productIdentType":{"type":"string"},"productIdentValue":{"type":"string"},"inventoryItemId":{"type":"string"},"inventoryItemATP":{"type":"number"},"inventoryItemQOH":{"type":"number"},"externalATP":{"type":"number"},"externalQOH":{"type":"number"},"availableToPromiseDiff":{"type":"number"},"quantityOnHandDiff":{"type":"number"},"unitCost":{"type":"number"},"sourceSystemMessageRemoteId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/externalInventoryResets/{resetItemId}":{"put":{"tags":["externalInventoryResets"],"summary":"store ExternalInventoryReset","description":null,"parameters":[{"schema":{"type":"string"},"name":"resetItemId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.product.inventory.ExternalInventoryReset.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.product.inventory.ExternalInventoryReset"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.product.inventory.ExternalInventoryReset"}}},"required":false}}}}}
```

## DELETE /externalInventoryResets/{resetItemId}

> delete ExternalInventoryReset

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"externalInventoryResets","description":"externalInventoryResets"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/externalInventoryResets/{resetItemId}":{"delete":{"tags":["externalInventoryResets"],"summary":"delete ExternalInventoryReset","description":null,"parameters":[{"schema":{"type":"string"},"name":"resetItemId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/fulfillment/external-inventory-resets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
